numberlistp0_(numberlistp0__dcl).
numberlistp0__dcl(sum(_70907,_70908),p(p(p)),static,no).
numberlistp0__dcl(average(_70907,_70908),p(p(p)),static,no).
:-(numberlistp0__dcl(_70905,_70906,_70907,_70908,numberlistp),numberlistp0__dcl(_70905,_70906,_70907,_70908)).
:-(initialization('$lgt_assert_relation_clauses'(['$lgt_current_protocol_'(numberlistp,numberlistp0_)]))).
